<?php
/*
===========================注册模块控制器
*/
class cls_tab_hr_company_vip extends cls_base_table
{
	private $obj_db;
	private $perms=array();
	//构造函数
	function __construct()
	{
		parent::__construct();
		global $obj_db;
		$this->obj_db=$obj_db;
	}
	//保存
	function on_save($arr_fields)
	{
		$arr_return=array("err"=>"");
		(!isset($arr_fields["vip_id"]))? $arr_fields["vip_id"]=0:$arr_fields["vip_id"]=intval($arr_fields["vip_id"]);
		$lng_id=$arr_fields["vip_id"];
		unset($arr_fields["vip_id"]);//释放id
		$arr_fields["vip_updatetime"]=TIME;
		if($lng_id<1){
			$arr_fields["vip_addtime"]=TIME;
			$arr_return=self::_insert($arr_fields);
		}else{
			$str_where="vip_id='".$lng_id."'";
			$arr_return=self::_update($arr_fields,$str_where);
			$arr_return["id"]=$lng_id;
		}

		return $arr_return;
	}
	//添加
	private function _insert($arr_fields)
	{
		global $obj_ctl_user;
		$arr_return=array("err"=>"");
		if(!isset($arr_fields["vip_name"])||$arr_fields["vip_name"]==""){
			$arr_return["err"]="VIP名不能为空!";
			return $arr_return;
		}
		$obj_result = $this->obj_db->query("SELECT * FROM ".DB_PRE."hr_company_vip where vip_name='".$arr_fields["vip_name"]."'");
		if($obj_rs = $this->obj_db->fetch_array($obj_result))
		{
			$arr_return["err"]="VIP名不能重!";
			return $arr_return;
		}
		$arr_return=parent::on_insert(DB_PRE."hr_company_vip",$arr_fields);
		return $arr_return;
	}
	//修改
	private function _update($arr_fields,$msg_where)
	{
		$arr_return=array("err"=>"");
		$arr_return=parent::on_update(DB_PRE."hr_company_vip",$arr_fields,$msg_where);
		return $arr_return;
	}
	//删除
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del(DB_PRE."hr_company_vip","vip_id in(".$str_id.")");
		return $arr_return;	
	}
	//返回值：errid: 101程序出错,1金币余额不足,2用户未登录
	function on_join($msg_uid,$msg_vip_id){
		global $obj_db;
		$arr_return=array("errid"=>0,"err"=>"");
		if(empty($msg_uid)){
			$arr_return["err"]="您还没有登录，或登录超时";
			$arr_return["errid"]=2;
			return $arr_return;
		}
		$obj_rs=$obj_db->get_one("select company_vip_time,company_vip_endtime from ".DB_PRE."hr_company where company_user_id=".$msg_uid);
		if($obj_rs["company_vip_endtime"]>TIME){
			$arr_return["err"]="您已经是本站VIP会员";
			$arr_return["errid"]=3;
			return $arr_return;
		}
		$obj_tab_account=new cls_tab_sys_account();
		$obj_result=$obj_db->query("select vip_price,vip_days from ".DB_PRE."hr_company_vip where vip_id=".$msg_vip_id);
		if($obj_rs=$obj_db->fetch_array($obj_result)){
			//扣除金币
			$arr_return=$obj_tab_account->on_save_gold($msg_uid,-$obj_rs["vip_price"],-2,$msg_vip_id);
			if($arr_return["err"]!=""){
				return $arr_return;
			}
			$lng_time=TIME+$obj_rs["vip_days"]*86400;
			$obj_db->execute("update ".DB_PRE."hr_company set company_vip_time=".TIME.",company_vip_endtime=".$lng_time." where company_user_id=".$msg_uid);
		}else{
			$arr_return["errid"]=101;
			$arr_return["err"]="VIP类型不存在";
			return $arr_return;
		}
		if(!isset($arr_return["errid"])) $arr_return["errid"]=0;
		return $arr_return;
	}

}
?>